flink-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF GitHub Bot (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (FLINK-5981) SSL version and ciper suites cannot be constrained as configured
Date Tue, 14 Mar 2017 13:36:41 GMT

    [ https://issues.apache.org/jira/browse/FLINK-5981?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15924196#comment-15924196

ASF GitHub Bot commented on FLINK-5981:

Github user vijikarthi commented on the issue:

    I think the patch looks good. Is there a specific protocol version + cipher suite combination
sets that the user should be aware which needs to be documented?

> SSL version and ciper suites cannot be constrained as configured
> ----------------------------------------------------------------
>                 Key: FLINK-5981
>                 URL: https://issues.apache.org/jira/browse/FLINK-5981
>             Project: Flink
>          Issue Type: Bug
>          Components: Security
>            Reporter: Tao Wang
>            Assignee: Tao Wang
> I configured ssl and start flink job, but found configured properties cannot apply properly:
> akka port: only ciper suites apply right, ssl version not
> blob server/netty server: both ssl version and ciper suites are not like what I configured
> I've found out the reason why:
> http://stackoverflow.com/questions/11504173/sslcontext-initialization (for blob server
and netty server)
> https://groups.google.com/forum/#!topic/akka-user/JH6bGnWE8kY(for akka ssl version, it's
fixed in akka 2.4:https://github.com/akka/akka/pull/21078)
> I'll fix the issue on blob server and netty server, and it seems like only upgrade for
akka can solve issue in akka side(we'll consider later as upgrade is not a small action).

This message was sent by Atlassian JIRA

View raw message